org.wildfly.swarm.config.elytron

## Class RegexPrincipalTransformer<T extends RegexPrincipalTransformer<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.RegexPrincipalTransformer<T>

-     public class RegexPrincipalTransformer<T extends RegexPrincipalTransformer<T>>
      extends Object

  A regular expression based principal transformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexPrincipalTransformer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `pattern()` The regular expression to use to locate the portion of the name to be replaced.
    `T` | `pattern(String value)` The regular expression to use to locate the portion of the name to be replaced.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `replaceAll()` Should all occurrences of the pattern matched be replaced or only the first occurrence.
    `T` | `replaceAll(Boolean value)` Should all occurrences of the pattern matched be replaced or only the first occurrence.
    `String` | `replacement()` The value to be used as the replacement.
    `T` | `replacement(String value)` The value to be used as the replacement.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexPrincipalTransformer

          public RegexPrincipalTransformer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### pattern

          public String pattern()

      The regular expression to use to locate the portion of the name to be replaced.

    - #### pattern

          public T pattern(String value)

      The regular expression to use to locate the portion of the name to be replaced.

    - #### replaceAll

          public Boolean replaceAll()

      Should all occurrences of the pattern matched be replaced or only the first occurrence.

    - #### replaceAll

          public T replaceAll(Boolean value)

      Should all occurrences of the pattern matched be replaced or only the first occurrence.

    - #### replacement

          public String replacement()

      The value to be used as the replacement.

    - #### replacement

          public T replacement(String value)

      The value to be used as the replacement.

Copyright © 2018 JBoss by Red Hat. All rights reserved.